Subject: RE: [tcpm] RFC2581bis

From: "Anantha Ramaiah \(ananth\)" <[email-masked]>
Date: Thu, 16 Feb 2006 09:03:52 -0800

Regarding a) regarding the larger initial window, I think it makes sense
to have it with RFC 2581. Have no opinion on the limited transmit making
its reference in RFC 2581.

Also I would think it is probably ok to go with option b) ie update the
existing 2581. Since the changes doesn't involve a major re-write, only
some handfull of changes..(though important)

-Anantha
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Mark Allman
> Sent: Thursday, February 16, 2006 6:52 AM
> To: Duke, Martin
> Cc: Ethan Blanton; [email-masked]; [email-masked]
> Subject: Re: [tcpm] RFC2581bis 
> 
> 
> Folks-
> 
> > I have concerns about setting ssthresh after multiple timeouts 
> > (Equation 5).  My initial feeling is that cutting ssthresh in half 
> > each time is too conservative.
> >
> > [...]
> > 
> > So as an alternative, perhaps we should leave ssthresh 
> unchanged after 
> > the first retransmit.
> 
> Vern, Ethan and I have been chatting about this proposal.  
> We're a little bit torn here because:
> 
>   * Our intent was to revise RFC 2581 for two reasons: (1) to roll in
>     small changes to TCP that are already standards track 
> (e.g., limited
>     transmit and the larger initial window) and (2) to fix bugs
>     identified in 2581.  It seems to us that the above is outside the
>     scope of either of these tasks.
> 
>   * It seems to the three of us that setting ssthresh on the first RTO
>     and then not adjusting it on subsequent RTOs for the same sequence
>     number is safe and may well be a reasonable path.
> 
> So, how to reconcile these things?  Do we really want to 
> require Martin (or someone) to write a standards track RFC 
> for something so small such that it can someday be rolled 
> into the main spec?  That seems like a pretty high price.
> 
> So, we're asking the WG whether (a) the change seems 
> reasonable and (b) whether it is OK to include this small 
> tweak into the current revision of RFC2581.
> 
> (Note: (b) is being asked about this small change only.  We 
> still think that (1) and (2) should be the guiding principles 
> for the revision.
> Although, of course, the WG can decide otherwise, as well.)
> 
> Thanks!
> 
> allman
> 
> 
> 
> --
> Mark Allman -- ICIR/ICSI -- http://www.icir.org/mallman/
> 
> 
> 
> 

_______________________________________________
tcpm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tcpm